#!perl

$nb=$ARGV[0];
$name=$ARGV[1];


for($i=0;$i<$nb;$i++)
{
   $t=sprintf "%02d",($i+1);
   $filename=$name.$t.".tga";
   rename "E:\\images\\"."$filename","Pictures\\$filename";
   print "tor2d.pl Pictures/$filename image$t\n";
   system("tor2d.pl Pictures/$filename image$t");
}

open(OUT,">r2d_anim.c") or die "Cannot create anim file :$!\n";

for($i=0;$i<$nb;$i++)
{
   $t=sprintf "%02d",($i+1);
   print OUT "#include \"image$t.c\"\n";
}

print OUT "\n";
print OUT "#define NB_PIC $nb\n\n";
print OUT "#define r2d_create_anim_context() \\\n";
for($i=0;$i<$nb;$i++)
{
   $t=sprintf "%02d",($i+1);
   if ($i == ($nb-1))
   {
     print OUT "picgc[$i]=r2d_new_picture_context(rtest_get_mb_id(),(UINT32*)image$t,R2D_LCD_KIND); \n";
}
else
{
print OUT "picgc[$i]=r2d_new_picture_context(rtest_get_mb_id(),(UINT32*)image$t,R2D_LCD_KIND);\ \n";
}

}
close(OUT);